body {
  background-color: #1a1a1a; 
  color: #ffffff; 
  font-family: 'Press Start 2P', cursive; 
  margin: 0;
  background-image: url(gameboy.jpg)
}

.header {
  font-size: 2rem; 
  text-align: center; 
  margin-bottom: 20px; 
  color: yellow;
}

.navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.navbar img {
  width: 150px;
  height: auto;
  margin-right: auto;
}

.navbar .form-control {
  flex: 1;
  margin: 0 auto;
}

.navbar .navbar-nav {
  margin-left: auto;
}

#add.btn-primary {
  background-color: #f809ec; 
  border-color: #f809ec; 
}

#send.btn-success {
  background-color: #4c00ff; 
  border-color: #4c00ff; 
}
#reset.btn-danger {
  background-color: #7AC74C; 
  border-color: #7AC74C; 
}
#showHistory.btn-info {
  background-color: #ffff00; 
  border-color: #ffff00; 
}
#add.btn.btn-primary{
  color: #000;
}
#send.btn.btn-success{
  color: #000;
}#reset.btn.btn-danger{
  color: #000;
}

#pokemonContainer {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  padding: 20px;
  background-color: #f0f0f0; 
  border: 4px solid #a0a0a0; 
  border-radius: 10px; 
}

#pokemonContainer > div {
  width: calc(20% - 20px);
  margin: 10px;
  padding: 10px;
  border-radius: 5px; 
  text-align: center;
}

#pokemonContainer > div:hover {
  transform: scale(1.05);
}

#pokemonContainer img {
  width: 80px;
  height: 80px;
  margin-bottom: 5px;
}

#historyContainer {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  padding: 20px;
}

.history-team {
  width: 30%;
  margin-bottom: 20px;
  padding: 10px;
  background-color: #2b2b2b; 
  border: 1px solid #fff; 
  border-radius: 10px; 
}

.history-team h3 {
  margin-bottom: 10px;
  color: #fff; 
}

.water { background-color: #6390F0; } /* Agua */
.fire { background-color: #FD7D24; } /* Fuego */
.grass { background-color: #7AC74C; } /* Planta */
.electric { background-color: #FFD700; } /* Eléctrico */
.normal { background-color: #A8A878; } /* Normal */
.fighting { background-color: #C03028; } /* Lucha */
.psychic { background-color: #F85888; } /* Psíquico */
.ghost { background-color: #8d79ad; } /* Fantasma */
.poison { background-color: #A040A0; } /* Veneno */
.ground { background-color: #E0C068; } /* Tierra */
.rock { background-color: #B8A038; } /* Roca */
.bug { background-color: #A8B820; } /* Bicho */
.flying { background-color: #A890F0; } /* Volador */
.ice { background-color: #98D8D8; } /* Hielo */
.dragon { background-color: #4c00ff; } /* Dragón */
.dark { background-color: #302c2a; } /* Siniestro */
.steel { background-color: #B8B8D0; } /* Acero */
.fairy { background-color: #EE99AC; } /* Hada */